import requests
import time
import datetime
import pymysql
import random

auto_pick_url = "http://earth.igengmei.com/api/v1/pick/do_pick"

login_url = "http://earth.igengmei.com/api/account/login_pwd"

def index_first():

    r1=requests.get(login_url)

    return r1.cookies.get_dict()

def login():

    num_majia = random.randint(1, 300)

    # user_id=majia[num_majia]

    user = 's_PzFznI@shadow.com'

    pwd = '123456'

    cookies = index_first()

    post_dict={
        'account_type':2,
        'pwd':pwd,
        'email':user
    }
    response = requests.post(
        url=login_url,
        data=post_dict,
        cookies=cookies
    )

    headers=response.headers

    cook = headers['Set-Cookie'].split(";")

    cook = cook[0].split('=')[1]

    print(response.text, 'url')

    return {'sessionid': cook}

def pick(cookies_get,id):
    post_dict={
        'pick_user_id':id,
        'is_pick':1,
        'pick_type':0
    }
    response=requests.post(url=auto_pick_url,
                      cookies=cookies_get,
                      data=post_dict)

    print(response.headers)

    print(response.text, 'url')

def time_conv(numtime):

    now = datetime.datetime.now()
    yes_time  = now -datetime.timedelta(days=numtime)
    yes_time_str=yes_time.strftime('%Y-%m-%d')
    print(now)
    return yes_time_str

def get_data(numtime):

    db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123', db="alpha", port=3306)

    cursor = db.cursor()

    print("---------")

    cursor.execute("SELECT distinct(user_id) FROM topic WHERE create_time LIKE '%%%%%s%%%%'" %numtime)

    data = cursor.fetchall()

    user_id = list(data)

    print("Database version : %s " % user_id)

    db.close()

    return user_id

def get_new_user_id(numtime):

    db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123',
                         db="alpha", port=3306)

    cursor = db.cursor()

    print("---------")

    cursor.execute(
        "select  user_id from account_user  WHERE  create_time LIKE '%%%%%s%%%%'" % numtime)

    data_new_user = cursor.fetchall()

    data3_id = list(data_new_user)

    print("Database version : %s " % user_id)

    db.close()

    return user_id

def get_star_useid(numtime):

    db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123',
                         db="alpha", port=3306)
    cursor = db.cursor()

    cursor.execute(
        "SELECT user_id FROM topic WHERE content_level =4 or content_level =5 and create_time LIKE '%%%%%s%%%%'" % numtime)

    data = cursor.fetchall()

    user_id = list(data)

    print("Database version : %s " % user_id)

    db.close()

    return user_id

if __name__ == "__main__":

    time_list = [1,2,3,4,5,6,7]

    #topic

    for i in time_list:

        numtime = time_conv(i)

        user_id = get_data(numtime)

        for j in user_id:

            id = int(j[0])

            # time.sleep(random.randint(200,500))

            pick_num = random.randint(1, 2)

            for i in range(pick_num):

                cookies=login()

                pick(cookies, id)

                # time.sleep(random.randint(500, 1000))

    #star
    for i in time_list:

        numtime = time_conv(i)

        user_id = get_star_useid(numtime)

        for j in user_id:

            id = int(j[0])

            # time.sleep(random.randint(200,500))

            pick_num=random.randint(1,5)

            for i in range(pick_num):

                cookies = login()

                pick(cookies, id)

                # time.sleep(random.randint(500, 1000))

    for i in time_list:

        if i == 1:

            numtime = time_conv(1)

            topic_user_id = get_data(numtime)

            new_user_id=get_new_user_id(numtime)


            for i in new_user_id:

                for j in topic_user_id:

                    if i == j :

                        pick_num = random.randint(0,1)

                        for x in range(pick_num):

                            cookies = login()

                            pick(cookies, i)


